Package org.apache.synapse.commons.emulator.http.dsl.dto.consumer

# Class OutgoingMessage

java.lang.Object
org.apache.synapse.commons.emulator.http.dsl.dto.consumer.OutgoingMessage

public class OutgoingMessage extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutgoingMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBody()`
  `List<Cookie>`
  `getCookies()`
  `List<Header>`
  `getHeaders()`
  `io.netty.handler.codec.http.HttpResponseStatus`
  `getStatusCode()`
  `static OutgoingMessage`
  `response()`
  `OutgoingMessage`
  `withBody(String body)`
  `OutgoingMessage`
  `withCookie(String name, String value)`
  `OutgoingMessage`
  `withCookies(Cookie... cookies)`
  `OutgoingMessage`
  `withEmptyBody()`
  `OutgoingMessage`
  `withHeader(String name, String value)`
  `OutgoingMessage`
  `withHeaders(Header... headers)`
  `OutgoingMessage`
  `withStatusCode(io.netty.handler.codec.http.HttpResponseStatus statusCode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OutgoingMessage

    public OutgoingMessage()

- ## Method Details

  - ### response

    public static OutgoingMessage response()

  - ### withStatusCode

    public OutgoingMessage withStatusCode(io.netty.handler.codec.http.HttpResponseStatus statusCode)

  - ### withCookie

    public OutgoingMessage withCookie(String name, String value)

  - ### withCookies

    public OutgoingMessage withCookies(Cookie... cookies)

  - ### withHeader

    public OutgoingMessage withHeader(String name, String value)

  - ### withHeaders

    public OutgoingMessage withHeaders(Header... headers)

  - ### withBody

    public OutgoingMessage withBody(String body)

  - ### withEmptyBody

    public OutgoingMessage withEmptyBody()

  - ### getStatusCode

    public io.netty.handler.codec.http.HttpResponseStatus getStatusCode()

  - ### getCookies

    public List<Cookie> getCookies()

  - ### getHeaders

    public List<Header> getHeaders()

  - ### getBody

    public String getBody()